import * as React from "react";
export interface IDialogProps {
    /** (string) default: 'host' - The ID of your sites body element  */
    bodyId?: string;
    /** (string) An additional class for the dialog layer, normally used for forcing higher z-index values  */
    layerClass?: string;
    /** (string) CSS classname property */
    className?: string;
    /** (string) The title to use in the dialogs header */
    title?: string;
    /** (boolean) Setting this to true or false will open or close the dialog */
    isOpen: boolean;
    /** (boolean) Controls wether the dialog closes when the background overlay is clicked */
    closeOnBackgroundClick?: boolean;
    /** (()=> void) Event to fire when the dialog is closed */
    onClose: () => void;
    /** (()=> void) Event to fire when the dialog is opened */
    onOpen?: () => void;
    /** (()=> void) Event to fire when the x button is clicked. Use this to confirm (double dialogs) */
    onXClicked?: () => void;
    /** (React.ReactElement<any>) An element, normally containing buttons, to put in the footer */
    footerContent?: React.ReactElement<any>;
    /** (number) The width of the dialog */
    width?: number;
    /** (number) The height of the dialog */
    height?: number;
}
export declare class Dialog extends React.Component<IDialogProps, {}> {
    private dialogContentElement;
    private appNode;
    private portalNode;
    private dialogId;
    private closeClicked;
    private xClicked;
    private close;
    private scrollToTop;
    componentDidMount(): void;
    componentWillReceiveProps(newProps: Readonly<{
        children?: React.ReactNode;
    }> & Readonly<IDialogProps>): void;
    private renderToPortal;
    componentWillUnmount(): void;
    private unmountPortalNode;
    private renderDialog;
    render(): JSX.Element;
}
