"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var classNames_1 = require("../../utilities/classNames");
var Image = /** @class */ (function (_super) {
    tslib_1.__extends(Image, _super);
    function Image(props) {
        var _this = _super.call(this, props) || this;
        _this.state = { source: "" };
        return _this;
    }
    Image.prototype.getRandomUser = function () {
        var _this = this;
        var sampleUserSeed = this.props.sampleUserSeed;
        var url = "https://randomuser.me/api?exc=login,name,location,email,registered,dob,phone,cell,id,nat" + (sampleUserSeed ? "&seed=" + sampleUserSeed : "");
        var xmlHttp = new XMLHttpRequest();
        xmlHttp.onreadystatechange = function () {
            if (xmlHttp.readyState === 4 && xmlHttp.status === 200) {
                var response = JSON.parse(xmlHttp.responseText);
                var pictureUrl = response.results[0].picture.large;
                _this.setState({ source: pictureUrl });
            }
        };
        xmlHttp.open("GET", url, true);
        xmlHttp.send(null);
    };
    Image.prototype.componentDidMount = function () {
        var _a = this.props, height = _a.height, width = _a.width;
        var _b = this.props, sampleUser = _b.sampleUser, source = _b.source, noPlaceholder = _b.noPlaceholder;
        if (!height && width) {
            height = width;
        }
        if (!width && height) {
            width = height;
        }
        if (source) {
            this.setState({ source: source });
        }
        else if (sampleUser) {
            this.getRandomUser();
        }
        else if (!noPlaceholder && !sampleUser) {
            this.setState({ source: "http://dummyimage.com/" + height + "x" + width + "/4f5c69/ffffff.png" });
        }
    };
    Image.prototype.render = function () {
        var _a = this.props, height = _a.height, width = _a.width, noPlaceholder = _a.noPlaceholder, sampleUserSeed = _a.sampleUserSeed, sampleUser = _a.sampleUser, source = _a.source, className = _a.className, rounded = _a.rounded, attrs = tslib_1.__rest(_a, ["height", "width", "noPlaceholder", "sampleUserSeed", "sampleUser", "source", "className", "rounded"]);
        var classes = classNames_1.ClassHelpers.classNames(className, { rounded: rounded });
        return (React.createElement("img", tslib_1.__assign({ src: this.state.source }, attrs, { height: height, width: width, className: classes })));
    };
    return Image;
}(React.Component));
exports.Image = Image;
