import * as moment from "moment";
import * as React from "react";
import { IFormInputHTMLProps } from "../form";
export interface ICalendarInputProps extends IFormInputHTMLProps<React.InputHTMLAttributes<HTMLInputElement>> {
    date?: string;
    format?: string;
    min?: string;
    max?: string;
    onDateChanged?: (date: string) => void;
    alwaysShowCalendar?: boolean;
    nativeInput?: boolean;
    icon?: string;
    disabled?: boolean;
    disableClear?: boolean;
}
export interface ICalendarInputState {
    inputValue?: string;
    selectedMonthStart?: moment.Moment;
    pickerBodyVisible?: boolean;
    showOnTop?: boolean;
    calendarOffset?: number;
}
export declare class CalendarInput extends React.Component<ICalendarInputProps, ICalendarInputState> {
    private format;
    private inputElement;
    private bodyElement;
    static defaultProps: Partial<ICalendarInputProps>;
    constructor(props: ICalendarInputProps);
    onDaySelected(date: moment.Moment): void;
    isEndOfMonth(date: moment.Moment): boolean;
    fallsWithinRange(date: moment.Moment): boolean;
    calcTop(): void;
    getDaysInMonth(): any[];
    getDayComponent(notInCurrentMonth: boolean, dayClicked: (d: moment.Moment) => void, date: moment.Moment): JSX.Element;
    changeMonth(increment: number): void;
    checkDate(dateString: string): void;
    componentWillUnmount(): void;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: ICalendarInputProps): void;
    handleEvent(e: Event): void;
    resetState(props: Readonly<ICalendarInputProps>): void;
    onInputFocus(): void;
    shouldShowOnTop(): boolean;
    propsDateAsMoment(): moment.Moment;
    render(): JSX.Element;
}
