"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var classNames_1 = require("../../../utilities/classNames");
var form_1 = require("../form");
var formCore_1 = require("../formCore");
var RadioInput = /** @class */ (function (_super) {
    tslib_1.__extends(RadioInput, _super);
    function RadioInput() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RadioInput.prototype.focus = function () {
        if (this.input) {
            this.input.focus();
        }
    };
    RadioInput.prototype.blur = function () {
        if (this.input) {
            this.input.blur();
        }
    };
    RadioInput.prototype.render = function () {
        var _this = this;
        var validationMessage = formCore_1.DataValidationMessage.get(this.props);
        var _a = this.props, labelContent = _a.labelContent, validationMode = _a.validationMode, id = _a.id, attrs = tslib_1.__rest(_a, ["labelContent", "validationMode", "id"]);
        var autoId = id || form_1.generateUniqueId(function (u) { return "radio_" + u; });
        var classes = classNames_1.ClassHelpers.classNames("armstrong-input", "radio", this.props.className, {
            "show-validation": (validationMode !== "none" && validationMessage),
        });
        return (React.createElement("div", { className: classes, title: validationMessage },
            React.createElement("input", tslib_1.__assign({ id: autoId }, attrs, { ref: function (i) { return _this.input = i; }, type: "radio" }, formCore_1.DataValidationMessage.spread(validationMessage))),
            React.createElement("label", { htmlFor: autoId }),
            React.createElement("label", { className: "radio-label", htmlFor: autoId }, labelContent)));
    };
    RadioInput.defaultProps = {
        validationMode: "none",
    };
    return RadioInput;
}(React.Component));
exports.RadioInput = RadioInput;
