"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var classNames_1 = require("../../utilities/classNames");
var ValidationWrapper = /** @class */ (function (_super) {
    tslib_1.__extends(ValidationWrapper, _super);
    function ValidationWrapper() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ValidationWrapper.prototype.render = function () {
        var _a = this.props, message = _a.message, validationMode = _a.validationMode, className = _a.className, children = _a.children, attrs = tslib_1.__rest(_a, ["message", "validationMode", "className", "children"]);
        return (React.createElement("div", tslib_1.__assign({}, attrs, { className: classNames_1.ClassHelpers.classNames(className, { "show-validation": (validationMode !== "none" && !!message) }), title: message }),
            children,
            React.createElement(ValidationLabel, { message: message, mode: validationMode })));
    };
    return ValidationWrapper;
}(React.Component));
exports.ValidationWrapper = ValidationWrapper;
var ValidationLabel = /** @class */ (function (_super) {
    tslib_1.__extends(ValidationLabel, _super);
    function ValidationLabel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ValidationLabel.prototype.render = function () {
        var _a = this.props, message = _a.message, mode = _a.mode, wrapper = _a.wrapper;
        if (!message || mode === "none") {
            return null;
        }
        var validationLabel = (React.createElement("label", { className: classNames_1.ClassHelpers.classNames("validation-message", "validation-message-" + mode), title: message }, (mode === "both" || mode === "below") && message));
        var Wrapper = wrapper;
        if (Wrapper) {
            return React.createElement(Wrapper, null, validationLabel);
        }
        return validationLabel;
    };
    return ValidationLabel;
}(React.Component));
exports.ValidationLabel = ValidationLabel;
