import * as React from "react";
export interface IButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    /** (string) An icon to show on the left of the buttons content */
    leftIcon?: string;
    /** (string) An icon to show on the right of the buttons content */
    rightIcon?: string;
    /** (boolean) Wether or not the button should have rounded edges */
    rounded?: boolean;
    /** (boolean) If true, disables actions and puts button into a 'pending' state */
    pending?: boolean;
}
export declare class Button extends React.Component<IButtonProps> {
    private handleClick;
    input: HTMLButtonElement;
    focus(): void;
    blur(): void;
    render(): JSX.Element;
}
