import * as React from "react";
export interface ITabControlProps extends React.HTMLAttributes<HTMLDivElement> {
    /** (number) The index of the tab selected when the control renders. Defaults to 0 */
    defaultSelectedIndex?: number;
    /** (number) The index of the tab selected. Use this if you want a stateless component */
    forceSelectedIndex?: number;
    /** (TabItem[]) The tab items. Controls the header and the content */
    children?: React.ReactNode | TabItem | TabItem[];
    /** ((index: number) => void) Fires when the tab is changed by the user */
    onTabChanged?: (index: number) => void;
    /** ('left' | 'right') Wether to align the tabs to the right or left of the header. Defaults to left */
    tabAlignment?: "left" | "right";
}
export interface ITabControlState {
    selectedTabIndex?: number;
}
export declare class TabControl extends React.Component<ITabControlProps, ITabControlState> {
    constructor(props: ITabControlProps);
    changeTab(newIndex: number): void;
    componentWillMount(): void;
    private getSelectedIndex;
    render(): JSX.Element;
}
export interface ITabItemProps extends React.HTMLAttributes<HTMLDivElement> {
    /** (string | JSX.Element) The content to use in the tab items header */
    title: any;
    /** (string (Icomoon)) An optional icon to show to the left of the title in the tab header */
    icon?: string;
}
export declare class TabItem extends React.Component<ITabItemProps, {}> {
    render(): JSX.Element;
}
